# wxDocMDIChildFrame Class Reference
[Document/View Framework]

`#include <wx/docmdi.h>`

Inheritance diagram for wxDocMDIChildFrame:
[legend]

## Detailed Description

The wxDocMDIChildFrame class provides a default frame for displaying documents on separate windows.

This class can only be used for MDI child frames.

The class is part of the document/view framework supported by wxWidgets, and cooperates with the wxView, wxDocument, wxDocManager and wxDocTemplate classes.

##

Library: wxCore

Category: Document/View Framework

See also:
  Document/View Framework, Document/View Sample, wxMDIChildFrame

## Public Member Functions
| wxDocMDIChildFrame (wxDocument *doc, wxView *view, wxMDIParentFrame *parent, wxWindowID id, const wxString &title, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxDEFAULT_FRAME_STYLE, const wxString &name=wxFrameNameStr)
| Constructor.
virtual | ~wxDocMDIChildFrame ()
| Destructor.
wxDocument * | GetDocument () const
| Returns the document associated with this frame.
wxView * | GetView () const
| Returns the view associated with this frame.
void | OnActivate (wxActivateEvent &event)
| Sets the currently active view to be the frame's view.
void | OnCloseWindow (wxCloseEvent &event)
| Closes and deletes the current view and document.
void | SetDocument (wxDocument *doc)
| Sets the document for this frame.
void | SetView (wxView *view)
| Sets the view for this frame.

List of all members.

## Constructor & Destructor Documentation

wxDocMDIChildFrame::wxDocMDIChildFrame | ( | wxDocument * | doc,
|  | wxView * | view,
|  | wxMDIParentFrame * | parent,
|  | wxWindowID | id,
|  | const wxString & | title,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxDEFAULT_FRAME_STYLE`,
|  | const wxString & | name = `wxFrameNameStr` |
| ) |  |  |

Constructor.

virtual wxDocMDIChildFrame::~wxDocMDIChildFrame | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

wxDocument* wxDocMDIChildFrame::GetDocument | ( |  | ) | const

Returns the document associated with this frame.

wxView* wxDocMDIChildFrame::GetView | ( |  | ) | const

Returns the view associated with this frame.

void wxDocMDIChildFrame::OnActivate | ( | wxActivateEvent & | event | ) |

Sets the currently active view to be the frame's view.

You may need to override (but still call) this function in order to set the keyboard focus for your subwindow.

void wxDocMDIChildFrame::OnCloseWindow | ( | wxCloseEvent & | event | ) |

Closes and deletes the current view and document.

void wxDocMDIChildFrame::SetDocument | ( | wxDocument * | doc | ) |

Sets the document for this frame.

void wxDocMDIChildFrame::SetView | ( | wxView * | view | ) |

Sets the view for this frame.

|  | [ top ]